Subject: [PATCH/RFC 03/19] ARM: shmobile: gose: add i2c2 bus to device tree

From: [email-masked] (Wolfram Sang)
Date: Mon, 14 Dec 2015 08:11:03 +0100

> > >+	eeprom at 50 {
> > >+		compatible = "renesas,24c02";
> > 
> >    This is not a valid value -- the Renesas chip model is different from 24c02.
> 
> I copied this value from r8a7791.dtsi.
> 
> Looking at the schematic for gose (v100), koelsch (rev024) and porter (v300)
> I see the following "R1EX24002ATAS0G#U0". Shall we update r8a7791 and
> this patch to "renesas,24002" or leave things as is?

I wouldn't like to update the at24 driver with all namings from all
vendors for chips which in large cases are simple 24c02 devices.

So, if Sergei insists on the change, I'd propose

	compatible = "renesas,24002", "24c02";

to keep things sane.

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 819 bytes
Desc: Digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20151214/1203594e/attachment.sig>